;
;  Define Registers and Port Pins
;
;   Acc = R00, R01 (results of multiply command)
.def  Acc		=	R0			;\ math accumulator
.def  Acch		=	R1			;/ 
.def  svacc		=	R2			;\ Acc reg temp save
.def  svacch	=	R3			;/
;.def  svy		=	R4			;\ Y reg temp save
;.def  svyh		=	R5			;/
.def  svz		=	R6			;\ Z reg temp save
.def  svzh  	=   R7			;/
.def  savsr		=	R8			; Status reg temp save
.def  curschr	=   R9			; used by terminal to hold the chr under the cursor
.def  fnthl     =   R10			; font upper 128 toggle
.def  inv		=	R11			; normal=0x00, inv = 0x80
.def  fntsel	=   R12			; Font Select, 00 = Primary, 08 = Alternate

;-------------------------------------------------
.def  J			=	R16			; scratch 8 bit reg
.def  K			=	R17			; scratch 8 bit reg
.def  hpos		=	R18			; hor cursor pos  0-39
.def  vpos		=	R19			; vert cursor pos 0-24
.def  vline		=	R20			;\ vertical display line counter 0-239
.def  hcnt		=	R21			; hcounter for disp
.def  chrln		=  	R22			; display chr line 0 - 199
.def  inpt		=	R23			; HOST input 
.def  cursctl	=   R24			; cursor control
.def  cursclk	=	R25			; the cursor blink timer

;    X pair = R26,27
;    Y pair = R28,29
;    Z pair = R30,31
;
;  X pair used to point to SRAM by refresh routines
;  Y pair used to point to SRAM by HOST processor
;  Z pair used to point to Font data in Program Memory

;PORT B defs - Video data output
.set  vd0		=	PB0			; output
.set  vd1		=	PB1			; output
.set  vd2		=	PB2			; output
.set  vd3		=	PB3			; output
.set  vd4		=	PB4			; output (spare)
.set  vd5		=	PB5			; output (spare)

;PORT C defs - control/status
.set  flm		=	PC0			; output
.set  ldp		=	PC1			; output
.set  clp		=	PC2			; output
.set  spare  	=   PC3			; output
.set  ackdpin	=	PC4			; output
.set  dflgpin	=	PC5			; input
.set  rstpin	=	PC6			; input

;PORT D defs - host data input bus
.set  hd0		=	PD0			; input
.set  hd1		=	PD1			; input
.set  hd2		=	PD2			; input
.set  hd3		=	PD3			; input
.set  hd4		=	PD4			; input
.set  hd5		=	PD5			; input
.set  hd6		=	PD6			; input
.set  hd7		=	PD7			; input

;-----------------------------------------